Bug 1417495 - Review Request: prelude-manager
Summary: Review Request: prelude-manager
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Zbigniew Jędrzejewski-Szmek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-30 00:12 UTC by Thomas Andrejak
Modified: 2017-02-22 14:49 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-22 14:49:55 UTC
Type: Bug
zbyszek: fedora-review+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 209224 None None None Never

Internal Links: 209224

Description Thomas Andrejak 2017-01-30 00:12:04 UTC
This is the continuation of #1386938 . This ticket is for prelude-manager, the bus communicator for Prelude modules and other IDMEF agents.

Description in spec :
Prelude Manager is the main program of the Prelude SIEM suite. It is a
multithreaded server which handles connections from the Prelude modules. It is
able to register local or remote agents, let the operator configure them
remotely, receive alerts, and store alerts in a database or any format supported
by reporting plugins, thus providing centralized logging and analysis. The IDMEF
standard is used for alert representation. Support for filtering plugins allows
you to hook in different places in the Manager to define custom criteria for
alert logging.

SPEC : https://fedorapeople.org/~totol/prelude-manager.spec
SRPM : https://fedorapeople.org/~totol/prelude-manager-3.1.0-1.fc26.src.rpm
Build : https://koji.fedoraproject.org/koji/taskinfo?taskID=17486670

About fedora review :
prelude-manager.x86_64: W: spelling-error %description -l en_US multithreaded -> multicolored
=> False positive
prelude-manager.x86_64: W: crypto-policy-non-compliance-gnutls-2 /usr/sbin/prelude-manager gnutls_priority_init
=> Fixed with patch, false positive
prelude-manager.x86_64: W: non-ghost-in-run /run/prelude-manager
=> Guidelines https://fedoraproject.org/wiki/Packaging:Tmpfiles.d
prelude-manager-db-plugin.x86_64: W: spelling-error %description -l en_US multithreaded -> multicolored
=> False positive
prelude-manager-db-plugin.x86_64: W: no-documentation
=> prelude-manager-doc
prelude-manager-xml-plugin.x86_64: W: spelling-error %description -l en_US multithreaded -> multicolored
=> False positive
prelude-manager-xml-plugin.x86_64: W: no-documentation
=> prelude-manager-doc
prelude-manager-devel.x86_64: W: spelling-error %description -l en_US multithreaded -> multicolored
=> False positive
prelude-manager-devel.x86_64: W: no-documentation
=> prelude-manager-doc
prelude-manager.src: W: spelling-error %description -l en_US multithreaded -> multicolored

Thanks for the review

Regards

Thomas

Comment 1 Zbigniew Jędrzejewski-Szmek 2017-01-31 15:18:28 UTC
This one also hangs in test-lock :(

Can you move %{?systemd_requires} next to the other "Requires:"? It's confusing to have it with "BuildRequires:".

Grammaro:
"This plugin authorize prelude-manager to log into XML files."
→ "This plugin allows prelude-manager to log into XML files."?
Really, logging into XML files, bleh ;)

I'd also drop the rest of the description in db-plugin, xml-plugin, devel, that just repeats the general description of prelude-manager.

In the service file:
> Description=Run prelude-manager
This will result in messages like "Starting Run prelude-manager" and "Stopping Run prelude-manager". Description should be something that fits in that template, e.g. Description=Prelude bus communicator.

OK, the daemon listens of 127.0.0.1 by default, seems reasonable.

+ package name is OK
+ license is acceptable (GPLv2+)
+ license is specified correctly
+ builds and installs OK
+ scriptlets are sane
+ R/BR/P look correct
+ fedora-review detects no issues
+ %check is present, and tests pass, except for one test

Package is APPROVED.

Comment 2 Zbigniew Jędrzejewski-Szmek 2017-01-31 15:19:55 UTC
In the service file, also add Documentation=man:prelude-manager(1) .

Comment 3 Thomas Andrejak 2017-01-31 22:23:43 UTC
Thanks for the review

Here are the new files :
SPEC : https://fedorapeople.org/~totol/prelude-manager.spec
SRPM : https://fedorapeople.org/~totol/prelude-manager-3.1.0-1.fc26.src.rpm

Comment 4 Zbigniew Jędrzejewski-Szmek 2017-02-01 00:10:54 UTC
Yep, look good.

Comment 5 Fedora Update System 2017-02-02 00:36:49 UTC
prelude-manager-3.1.0-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-935389ae93

Comment 6 Fedora Update System 2017-02-02 00:37:29 UTC
prelude-manager-3.1.0-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-139dd58faa

Comment 7 Fedora Update System 2017-02-02 21:49:56 UTC
prelude-manager-3.1.0-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-935389ae93

Comment 8 Fedora Update System 2017-02-02 22:50:23 UTC
prelude-manager-3.1.0-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-139dd58faa

Comment 9 Fedora Update System 2017-02-07 00:57:51 UTC
prelude-manager-3.1.0-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-935389ae93

Comment 10 Fedora Update System 2017-02-07 00:58:37 UTC
prelude-manager-3.1.0-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-139dd58faa

Comment 11 Fedora Update System 2017-02-07 00:59:27 UTC
prelude-manager-3.1.0-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-409ef6f707

Comment 12 Fedora Update System 2017-02-08 02:48:10 UTC
prelude-manager-3.1.0-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-935389ae93

Comment 13 Fedora Update System 2017-02-08 03:48:39 UTC
prelude-manager-3.1.0-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-409ef6f707

Comment 14 Fedora Update System 2017-02-09 09:19:50 UTC
prelude-manager-3.1.0-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-139dd58faa

Comment 15 Fedora Update System 2017-02-16 23:19:57 UTC
prelude-manager-3.1.0-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2017-02-17 16:20:51 UTC
prelude-manager-3.1.0-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2017-02-22 14:49:55 UTC
prelude-manager-3.1.0-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.